# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

IUSE="sdl esd oss debug"

DESCRIPTION="NEC PC-9801 Series emulator for X"
SRC_URI="http://www.asahi-net.or.jp/~aw9k-nnk/np2/${P}.tar.gz"
HOMEPAGE="http://www.asahi-net.or.jp/~aw9k-nnk/np2/"

DEPEND="virtual/glibc
	virtual/x11
	=x11-libs/gtk+-1.2*
	x86? ( dev-lang/nasm )
	sdl? ( media-libs/libsdl )
	esd? ( media-sound/esound )"

LICENSE="as-is"
KEYWORDS="x86 ~ppc ~sparc ~sparc64 ~alpha ~mips"
SLOT=0

S="${WORKDIR}/${P}"

src_unpack(){
	unpack ${A}
	cd ${S}

	mv config.tmpl config.tmpl.orig

	# Start of Audio configuration.
	if [ "`use oss`" ]
	then
		echo '#define  USE_OSSAUDIO' >> config.tmpl
	else
		echo '#undef   USE_OSSAUDIO' >> config.tmpl
	fi

	if [ "`use sdl`" ]
	then
		echo 'SDL_CONFIG= sdl-config' >> config.tmpl
		echo '#define  USE_SDLAUDIO'  >> config.tmpl
	else
		echo '#undef   USE_SDLAUDIO'  >> config.tmpl
	fi

	if [ "`use esd`" ]
	then
		echo 'ESD_CONFIG= esd-config' >> config.tmpl
		echo '#define  USE_ESDAUDIO'  >> config.tmpl
	else
		echo '#undef   USE_ESDAUDIO'  >> config.tmpl
	fi
	# End of Audio configuration.

	# Start arch configuration.
	#if [ "`use x86`" ]
	#then
	#	echo '#define   IA32_CPUCORE' >> config.tmpl
	#	echo '#define   USE_ASM'      >> config.tmpl
	#else
	#	echo '#undef    IA32_CPUCORE' >> config.tmpl
	#	echo '#undef    USE_ASM'      >> config.tmpl
	#fi

	if [ "`use sparc`" ] || [ "`use ppc`" ] || [ "`use sparc64`" ]
	then
		echo 'CFLAGS+= -DWORDS_BIGENDIAN' >> config.tmpl
	fi
	# End arch configuration.

	# For debug
	if [ "`use debug`" ]
	then
		echo 'CDEBUGFLAGS= -W -Wall -Wuninitialized -g -O2' >> config.tmpl
		echo 'CDEBUGFLAGS= -g -O2' >> config.tmpl
		echo 'CDEBUGFLAGS+= -ffast-math -march=i686 -mcpu=pentiumpro' >> config.tmpl
		echo 'CDEBUGFLAGS+= -DIA32_CROSS_CHECK' >> config.tmpl
	fi

	echo "CFLAGS+= ${CFLAGS}" >> config.tmpl
}

src_compile(){
	xmkmf -a || die
	emake    || die
}

src_install(){
	emake DESTDIR=${D} install     || die
	emake DESTDIR=${D} install.man || die

	dodoc README.ja ChangeLog
}
